PT_CHOWN(5)

NAME
pt_chown - helper function for grantpt(3), changes ownship and permissions of pseudotty

SYNOPSIS
/usr/lib/pt_chown

DESCRIPTION

pt_chown is the helper program for the 'grantpt' function. It is not intended to be run directly from the command line. pt_chown sets the owner, group and access permission of the slave pseudo terminal corresponding to the master pseudo terminal passed on file descriptor so that the pseudo terminal can be used by the calling process. This means programs like 'xterm' and 'screen' do not have to be setuid to get a pty. (There may be other reasons why they need privileges.) If you are using a 2.1 or newer Linux kernel with the 'devptsfs' or `devfs' filesystems providing pty slaves, you don't need this program; otherwise you do. The source for 'pt_chown' is in 'login/programs/pt_chown.c'. It is installed setuid root.

OPTIONS

pt_chown takes no arguments.

RETURN CODES

pt_chown has the following return codes:

EBADF
    The file descriptor is not a valid master pseudo terminal.

EINVAL
    The device is not a character device.

EACCES
    Can't change device owner and group or device permissions.

0   The owner, group, and permissions were successfully changed.

BUGS
Report bugs using the glibcbug script to bugs@gnu.org

SEE ALSO

grantpt(3)